import request from "@/utils/request";

// 查询工作卡分页
export function getWordCardList(query) {
    return request({
        url: '/iscs/card/getIsJobCardPage',
        method: 'get',
        params: query
    })
}

// 工卡详细信息
export function workCardInfo(cardId) {
    return request({
        url: '/iscs/card/selectIsJobCardById?cardId=' + cardId,
        method: 'get'
    })
}


// 新增工卡
export function addWorkCard(data) {
    return request({
        url: '/iscs/card/insertIsJobCard',
        method: 'post',
        data: data
    })
}

// 修改工卡信息
export function updateWorkCard(data) {
    return request({
        url: '/iscs/card/updateIsJobCard',
        method: 'post',
        data: data
    })
}

// 删除工卡信息
export function delWorkCard(cardId) {
    return request({
        url: '/iscs/card/deleteIsJobCardByCardIds?cardIds=' + cardId,
        method: 'post'
    })
}

// 人员列表
export function getUserList(query) {
    return request({
        url: '/system/user/list',
        method: 'get',
        params: query
    })
}